This plugin is outdated and might not be supported anymore
WordPress REST API (Version 2)

WordPress REST API (Version 2)

Details
View on WordPress

WordPress is moving towards becoming a fully-fledged application framework, and we need new APIs. This project was born to create an easy-to-use, easy-to-understand and well-tested framework for creating these APIs, plus creating APIs for core.

This plugin provides an easy to use REST API, available via HTTP. Grab your site’s data in simple JSON format, including users, posts, taxonomies and more. Retrieving or updating data is as simple as sending a HTTP request.

Want to get your site’s posts? Simply send a GET request to /wp-json/wp/v2/posts. Update user with ID 4? Send a PUT request to /wp-json/wp/v2/users/4. Get all posts with the search term “awesome”? GET /wp-json/wp/v2/posts?filter[s]=awesome. It’s that easy.

The WordPress REST API exposes a simple yet easy interface to WP Query, the posts API, post meta API, users API, revisions API and many more. Chances are, if you can do it with WordPress, the API will let you do it.

The REST API also includes an easy-to-use JavaScript API based on Backbone models, allowing plugin and theme developers to get up and running without needing to know anything about the details of getting connected.

Check out our documentation for information on what’s available in the API and how to use it. We’ve also got documentation on extending the API with extra data for plugin and theme developers!

All tickets for the project are being tracked on GitHub. You can also take a look at the recent updates for the project.

Details

Plugin code:
rest-api
Plugin version:
2.0-beta15
Outdated:
Yes
WP version:
4.6 or higher
PHP version:
or higher
Test up to WP version:
4.7.29
Total installations:
10,000
Last updated:
2016-10-19
Rating:
Times rated:
34
api
json
rest
rest-api